import "./style.scss";

import "@components/ErrorView";
import "@components/NostrAvatar";
import "@components/LoadingView";
import "@components/NostrProfile";
import "@components/Breadcrumbs";
import "@components/Header";
import "@routes/router";
import "@components/LoadingView";
import type EveRouter from "@routes/router";
import { sleep } from "./utils/sleep";

async function startRelay() {
  if (localStorage.getItem("ncryptsec")) {
    const loadingIndicator = document.createElement("arx-loading-view");
    document.body.appendChild(loadingIndicator);
    await window.relay.start(localStorage.getItem("encryption_key")!);
    await sleep(5000);
    loadingIndicator.remove();
  }
}

startRelay().then(() => {
  const router = document.createElement("arx-eve-router") as EveRouter;
  router.ccnSetup = !!localStorage.getItem("ncryptsec");
  document.body.appendChild(router);
});
