export default function formatDateTime(date: Date | string | number): string {
  const properDate = new Date(date);
  return properDate.toLocaleString('en-US', {
    weekday: 'short',
    year: 'numeric',
    month: 'long',
    day: '2-digit',
    hour: '2-digit',
    minute: '2-digit',
    second: '2-digit',
  });
}
