import { html, LitElement } from 'lit';
import { customElement } from 'lit/decorators.js';

@customElement('arx-loading-view')
export class LoadingView extends LitElement {
  override render() {
    return html`
      <span>Loading...</span>
    `;
  }
}

declare global {
  interface HTMLElementTagNameMap {
    'arx-loading-view': LoadingView;
  }
}
